#ifndef FORMATIONTYPES_H
#define FORMATIONTYPES_H

typedef int Pnum;
typedef int Unum;  /* Uniform number           */

#define MAX_PLAYERS 25
#define SP_team_size 11
#define Pnum_Unknown  0
#define Formation_Unknown NULL

// Player Type
enum Ptype{
  PT_None = -1,
  PT_Goaltender = 0,
  PT_Defender = 1,
  PT_Midfielder,
  PT_Forward,

  PT_COUNT
};

// Player Side
enum Pside{
  PS_None = -1,
  PS_Left = 0,
  PS_Center,
  PS_Right
};

// Field Side
enum Fside{ 
  FS_Right,
  FS_Left
};

#endif  // FORMATIONTYPES_H
